Loading...
Searching...
No Matches
RDKit::Chirality::WedgeInfoBase Class Referenceabstract

`#include <Chirality.h>`

Inheritance diagram for RDKit::Chirality::WedgeInfoBase:

## Public Member Functions

| WedgeInfoBase (int idxInit)
virtual | ~WedgeInfoBase ()
virtual WedgeInfoType | getType () const =0
virtual Bond::BondDir | getDir () const =0
int | getIdx () const

## Detailed Description

Definition at line 245 of file Chirality.h.

## Constructor & Destructor Documentation

## WedgeInfoBase()

RDKit::Chirality::WedgeInfoBase::WedgeInfoBase | ( | int | idxInit | ) |

inline

Definition at line 247 of file Chirality.h.

Referenced by RDKit::Chirality::WedgeInfoAtropisomer::WedgeInfoAtropisomer(), and RDKit::Chirality::WedgeInfoChiral::WedgeInfoChiral().

## ~WedgeInfoBase()

virtual RDKit::Chirality::WedgeInfoBase::~WedgeInfoBase | ( |  | ) |

inline virtual

Definition at line 248 of file Chirality.h.

## Member Function Documentation

## getDir()

virtual Bond::BondDir RDKit::Chirality::WedgeInfoBase::getDir | ( |  | ) | const

pure virtual

Implemented in RDKit::Chirality::WedgeInfoAtropisomer, and RDKit::Chirality::WedgeInfoChiral.

## getIdx()

int RDKit::Chirality::WedgeInfoBase::getIdx | ( |  | ) | const

inline

Definition at line 253 of file Chirality.h.

## getType()

virtual WedgeInfoType RDKit::Chirality::WedgeInfoBase::getType | ( |  | ) | const

pure virtual

Implemented in RDKit::Chirality::WedgeInfoAtropisomer, and RDKit::Chirality::WedgeInfoChiral.

The documentation for this class was generated from the following file:

- Chirality.h